emrhssla
694
2021-08-19 16:27:31 작성 2021-08-19 16:34:50 수정됨
2
129

파이썬 ./bash_profile 중 virtualenvs 오류


맥북으로 pycharm CE를 잘 사용하여 python코딩 공부를 하던와중

ruby를 업그레이드 설치하기위해 여러 과정을 걸치다가 source ./bash_profile을 하였는데요

/usr/local/opt/python@3.9/bin/python3.9: Error while finding module specification for 'virtualenvwrapper.hook_loader' (ModuleNotFoundError: No module named 'virtualenvwrapper')

virtualenvwrapper.sh: There was a problem running the initialization hooks.


If Python could not import the module virtualenvwrapper.hook_loader,

check that virtualenvwrapper has been installed for

VIRTUALENVWRAPPER_PYTHON=/usr/local/bin/python3 and that PATH is

set properly.


위과 같이 오류가 떠서 bash_profile에서의 virtualenvs를 다주석처리하고

#VIRTUALENVWRAPPER_PYTHON=/usr/local/bin/python3

# Virtual Environment Wrapper

#source /usr/local/bin/virtualenvwrapper.sh


# Virtualenv/VirtualenvWrapper

#VIRTUALENVWRAPPER_PYTHON=/usr/local/bin/python

#source /usr/local/bin/virtualenvwrapper.sh


#export PATH="/usr/local/opt/ruby/bin:$PATH"


# Setting for rbenv path

export RBENV_ROOT=~/.rbenv


# Add rbenv to bash so that it loads every time you open a terminal

eval "$(rbenv init -)"

#export PATH="/usr/local/opt/ruby/bin:$PATH"

source를 하니까 오류없이 ruby업그레이드가 잘됐는데 pycharm에서 Run이 안돼요 ㅜㅜ


pycharm을 다시설치해도 똑같이 뜨네요 생초보라 검색해도 잘안나오는것같아요ㅜㅜ



0
  • 답변 2

  • 안전라이딩
    2021-08-19 17:23:21

    File -> Settings -> Project:pythonProject -> Python Interpreter 목록 한번 체크해보세요.

  • emrhssla
    694
    2021-08-19 17:47:45

    원래 Python3.7(Object) 있었는데 삭제했어요 . 삭제하고 다시해보라는게 있어서 ㅜㅜ근데 여전히안되네요

  • 로그인을 하시면 답변을 등록할 수 있습니다.